alter table jin_role add priv_master_tools_forms int(1) not null default 0 after priv_master_tools_templates;

create table jin_form_editor
(
  id            int(11) not null primary key,
  owner_id      int(11) not null,
  
  code          varchar(50) not null,
  data          text not null default '',
  
  key(owner_id,code)
);
